Subject: Re: [PATCH v23 0/25] rs/ref-transaction ("Use ref transactions", part 3)

From: Michael Haggerty <[email-masked]>
Date: Fri, 17 Oct 2014 01:27:19 +0200

On 10/15/2014 02:45 AM, Jonathan Nieder wrote:
> This series by Ronnie was last seen on-list at [1].  It includes some
> improvements to the ref-transaction API, improves handling of poorly
> named refs (which should make it easier to tighten the refname format
> checks in the future), and is a stepping stone toward later series
> that use the ref-transaction API more and make it support alternate
> backends (yay!).
> 
> The changes since (a merge of 'master' and) v22 are very minor and can
> be seen below[2].  The more important change is that it's rebased
> against current 'master'.
> 
> Review comments from Michael and Junio were very helpful in getting
> this in shape.  Thanks much to both.
> 
> The series can also be found at
> 
>   git://repo.or.cz/git/jrn.git tags/rs/ref-transaction
> 
> It is based against current 'master' (670a3c1d, 2014-10-14) and
> intended for 'next'.
> 
> Thoughts welcome, as always.  Improvements preferred in the form of
> patches on top of the series.

Thanks for the new version. I reviewed the previous version pretty
carefully in Gerrit and was very happy with the overall series, though
there were still some rough spots. It seems to be much more polished now.

Given that I will be traveling for the next two weeks I probably won't
be able to do another thorough review in time. But I just scanned
through patches 01 - 19 and didn't notice any problems. Unfortunately I
have to stop there.

Cheers,
Michael

-- 
Michael Haggerty
[email-masked]